>From 1e63d7d54ef6e9a92df572b73f4fda161529bc6a Mon Sep 17 00:00:00 2001
From: Stefano Sabatini <stefasab@gmail.com>
Date: Mon, 21 Mar 2016 09:44:09 +0100
Subject: [PATCH 2/2] configure: recognize the msys shell

This makes it possible to build with a MSYS2 shell.
---
 configure | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure b/configure
index 293d008..1f1f169 100755
--- a/configure
+++ b/configure
@@ -545,7 +545,7 @@ trap 'rm -f conftest*' EXIT
 # test for use of compilers that require specific handling
 cc_base=`basename "$CC"`
 QPRE="-"
-if [[ $host_os = mingw* || $host_os = cygwin* ]]; then
+if [[ $host_os = mingw* || $host_os = msys* || $host_os = cygwin* ]]; then
     if [[ "$cc_base" = icl || "$cc_base" = icl[\ .]* ]]; then
         # Windows Intel Compiler creates dependency generation with absolute Windows paths, Cygwin's make does not support Windows paths.
         [[ $host_os = cygwin* ]] && die "Windows Intel Compiler support requires MSYS"
-- 
2.7.0

